## libccp4 6.4.5

=== debian/changelog ===
libccp4 (6.4.5-2build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:19:08 +0000

libccp4 (6.4.5-2) unstable; urgency=medium

  * use autoreconf to fix compilation on newer architectures

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 30 Jul 2014 14:31:25 +0200

libccp4 (6.4.5-1) unstable; urgency=medium

  * Imported Upstream version 6.4.5
  * debian/patches
    - 0001-fix-FTBFS-on-kfreebsd-and-hurd.patch (applyed by upstream)
    - 0002-fix-FTBFS-for-powerpc.patch (applyed by upstream)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 25 Jul 2014 14:05:11 +0200

libccp4 (6.4.0~rc1-1~experimental3) experimental; urgency=low

  * debian/patches
    + 0002-fix-FTBFS-for-powerpc.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 15 Sep 2013 08:51:48 +0200

libccp4 (6.4.0~rc1-1~experimental2) experimental; urgency=low

  * debian/patches
    + 0001-fix-FTBFS-on-kfreebsd-and-hurd.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 14 Sep 2013 12:13:21 +0200

libccp4 (6.4.0~rc1-1~experimental1) experimental; urgency=low

  * Imported Upstream version 6.4.0~rc1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 08 Sep 2013 17:14:04 +0200

libccp4 (6.3.1-1~experimental1) experimental; urgency=low

  * Initial release (Closes: #721529)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 19 Dec 2012 17:01:53 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --enable-shared --datadir=/usr/share/ccp4

override_dh_strip:
	dh_strip -plibccp4c0 --dbg-package=libccp4c0-dbg
	dh_strip -plibccp4f0 --dbg-package=libccp4f0-dbg
	dh_strip -a -Nlibccp4c0 -Nlibccp4f0

=== debian/watch ===
version=3
ftp://ftp.ccp4.ac.uk/opensource/libccp4-(.*)\.tar\.gz|bz2

## libccp4 8.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(libccp4 C Fortran)

include(GNUInstallDirs)

option(BUILD_SHARED_LIBS "build shared libs (true)" TRUE)
option(FORTRAN_LIB "build fortran library (true)" TRUE)

include(${CMAKE_SOURCE_DIR}/cmake/source.cmake)

set(PACKAGE "libccp4")
set(VERSION "8.0")

add_library(ccp4c ${ccp4c_SOURCES} ${ccp4c_HEADERS})
add_library(ccp4::ccp4c ALIAS ccp4c)

target_include_directories(ccp4c PRIVATE .
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
)
set_target_properties(ccp4c PROPERTIES SOVERSION ${VERSION})
set_target_properties(ccp4c PROPERTIES PUBLIC_HEADER "${ccp4c_HEADERS}")
if(MSVC)
    set_target_properties(ccp4c PROPERTIES DEFINE_SYMBOL "DLL_EXPORT")
endif()

install(TARGETS ccp4c 
      ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
      LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
      RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
      PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ccp4
)

if(FORTRAN_LIB)
message(STATUS "Check for M4 macro processor")
find_program(M4
  NAMES "m4" "m4${CMAKE_EXECUTABLE_SUFFIX}"
  DOC "Location of the M4 macro processor"
  )
if(NOT M4)
  message(FATAL_ERROR
    "The `m4' macro processor was not found.  "
    "You must install `m4' before you can to compile libccp4.")
endif(NOT M4)
message(STATUS "Check for M4 macro processor: found ${M4}")

message(STATUS "Check for mmdb2 library")
find_library(MMDB2 mmdb2)
if(NOT MMDB2)
  message(FATAL_ERROR
    "The mmdb2 library was not found.  "
    "You must install mmdb2 before you can to compile libccp4f.")
endif(NOT MMDB2)
message(STATUS "Check for mmdb2 library: found ${MMDB2}")

if(CMAKE_Fortran_COMPILER_ID STREQUAL Intel)
  set(M4_ARGS -D_ifc=8)
  add_compile_options(-DIFC)
elseif(CMAKE_Fortran_COMPILER_ID STREQUAL GNU)
  # Gfortran
  set(M4_ARGS -D_gfort=1)
  add_compile_options(-DGFORTRAN)
endif(CMAKE_Fortran_COMPILER_ID STREQUAL Intel)

if(WIN32)
  set(M4_ARGS ${M4_ARGS} -Dwindows=1)
endif(WIN32)

if(${CMAKE_Fortran_COMPILER_ID} STREQUAL "GNU" AND ${CMAKE_Fortran_COMPILER_VERSION} VERSION_GREATER 9.9)
  set(CMAKE_Fortran_FLAGS "${CMAKE_Fortran_FLAGS} -w -fallow-argument-mismatch")
  message(STATUS "Adjusting CMAKE_Fortran_FLAGS for gfortran-10 compatibility: '${CMAKE_Fortran_FLAGS}'")
endif()

add_custom_command(
    OUTPUT  unix.f
    COMMAND m4 ${M4_ARGS} ${CMAKE_SOURCE_DIR}/fortran/unix.m4 > ${CMAKE_CURRENT_BINARY_DIR}/unix.f
    DEPENDS ${CMAKE_SOURCE_DIR}/fortran/unix.m4
)
add_library(ccp4f ${ccp4f_SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/unix.f)

target_link_libraries(ccp4f PRIVATE 
                      ccp4::ccp4c
                      ${MMDB2}
)

target_include_directories(ccp4f PRIVATE .
    ${CMAKE_SOURCE_DIR}/ccp4
    ${CMAKE_BINARY_DIR}
)

set_target_properties(ccp4f PROPERTIES SOVERSION ${VERSION})

install(TARGETS ccp4f
      ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
      LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
      RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)
endif(FORTRAN_LIB)

if(BUILD_SHARED_LIBS)
set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(libdir      ${CMAKE_INSTALL_PREFIX}/lib)
set(includedir  ${CMAKE_INSTALL_PREFIX}/include)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ccp4c.pc.cmakein
   ${CMAKE_CURRENT_BINARY_DIR}/ccp4c.pc.in @ONLY)
file(GENERATE OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/ccp4c.pc
   INPUT ${CMAKE_CURRENT_BINARY_DIR}/ccp4c.pc.in)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ccp4c.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
if(FORTRAN_LIB)
set(CCP4F_REQUIRED  mmdb2)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ccp4f.pc.cmakein
   ${CMAKE_CURRENT_BINARY_DIR}/ccp4f.pc.in @ONLY)
file(GENERATE OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/ccp4f.pc
   INPUT ${CMAKE_CURRENT_BINARY_DIR}/ccp4f.pc.in)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ccp4f.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif(FORTRAN_LIB)
endif(BUILD_SHARED_LIBS)

install(FILES data/atomsf_neutron.lib data/atomsf_electron.lib 
              data/atomsf.lib data/syminfo.lib data/symop.lib
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/data )
install(FILES ${CMAKE_SOURCE_DIR}/ccp4-config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/ccp4 )
if(FORTRAN_LIB)
  install(FILES data/font84.ascii DESTINATION ${CMAKE_INSTALL_LIBDIR}/data )
endif(FORTRAN_LIB)

## libccp4 6.5.1

=== debian/changelog ===
libccp4 (6.5.1-5) unstable; urgency=medium

  * Adding a patch to fix endianness checks (Closes: #979314).
    Thanks Maarten L. Hekkelman.

 -- Andrius Merkys <merkys@debian.org>  Tue, 05 Jan 2021 06:35:49 -0500

libccp4 (6.5.1-4) unstable; urgency=medium

  * Installing files to binary packages using debian/*.install files.

 -- Andrius Merkys <merkys@debian.org>  Fri, 31 Jul 2020 05:49:00 -0400

libccp4 (6.5.1-3) unstable; urgency=medium

  * Adding a patch to fix type mismatch problems with GCC-10.
  * Bumping debhelper-compat. Adding debian/not-installed.
  * Ignoring argument mismatch for gfortran as a workaround for #957430.
  * Updating copyright years.

 -- Andrius Merkys <merkys@debian.org>  Thu, 30 Jul 2020 09:06:08 -0400

libccp4 (6.5.1-2) unstable; urgency=medium

  [ Andrius Merkys ]
  * Fixing long descriptions (Closes: #813824)

  [ Picca Frédéric-Emmanuel ]
  * Use debhelper-compat instead of debian/compat.
  * Adding debian/todo.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.

  [ Andrius Merkys ]
  * Wrapping and sorting.
  * Adding 'Rules-Requires-Root: no'.
  * Using my Debian e-mail.

 -- Andrius Merkys <merkys@debian.org>  Thu, 04 Jun 2020 23:52:40 -0400

libccp4 (6.5.1-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/copyright
    - Added entry for the rest of the files.
    - HTTP -> HTTPS
  * debian/compat: bump to 11
  * debian/control
    - Removed useless dependency on dh-autoreconf
    - Bump Standards-Version 4.1.4 (nothing to do)
    - Migrated debug symbols package
  * debian/watch: turning on passive FTP mode

 -- Andrius Merkys <andrius.merkys@gmail.com>  Thu, 03 May 2018 03:31:15 -0400

libccp4 (6.5.1-1~exp1) experimental; urgency=medium

  * Imported Upstream version 6.5.1
  * Standards-Version bump to 3.9.6
  * Update Vcs-* fields to use https
  * Migrate -dbg package to ddeb

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 16 Aug 2016 14:07:58 +0200

libccp4 (6.4.6-1~exp1) experimental; urgency=medium

  * Imported Upstream version 6.4.6
  * debian/control
    - Build-Depends: libmmdb-dev -> libmmdb2-dev
  * debian/patches
    + 0001-use-mmdb2-instead-of-mmdb-in-libccp4f.pc.in.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 31 Dec 2014 10:38:36 +0100

=== debian/control ===
Source: libccp4
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Andrius Merkys <merkys@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 gfortran,
 libmmdb2-dev,
 m4,
Standards-Version: 4.1.4
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/science-team/libccp4.git
Vcs-Browser: https://salsa.debian.org/science-team/libccp4
Homepage: http://www.ccp4.ac.uk/

Package: libccp4-data
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends:
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: CCP4 core functionality - common files
 The CCP4 software suite is based around a library of routines which
 cover common tasks, such as file opening, parsing keyworded input,
 reading and writing of standard data formats, applying symmetry
 operations, etc. Programs in the suite call these routines which, as
 well as saving the programmer some effort, ensure that the varied
 programs in the suite have a similar look-and-feel.
 .
 The library contains several sub components:
 .
  * CMTZ library -- Contains a variety of functions for manipulating
    the data structure, for example adding crystals, datasets or
    columns. The data structure can be dumped to an output MTZ data
    file.
 .
  * CMAP library -- Functions defining the C-level API for accessing
    CCP4 map files.
 .
  * CSYM library -- a collection of functions centered around a data
    file syminfo.lib which is auto-generated from sgtbx (the Space
    Group Toolbox of cctbx).
 .
  * CCP4 utility library -- many utility functions which either give
    specific CCP4 or platform independent functionality.
 .
  * CCP4 Parser library -- provides CCP4-style parsing, as used for
    processing keywords of CCP4 programs, MTZ header records, etc.
 .
  * CCP4 resizable arrays -- defines an object and methods which looks
    just like a simple C array, but can be resized at will without
    incurring excessive overheads.
 .
 This package provides the common files for the CCP4 library.

Package: libccp4-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libccp4c0 (= ${binary:Version}),
 libccp4f0 (= ${binary:Version}),
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: CCP4 core functionality - development files
 The CCP4 software suite is based around a library of routines which
 cover common tasks, such as file opening, parsing keyworded input,
 reading and writing of standard data formats, applying symmetry
 operations, etc. Programs in the suite call these routines which, as
 well as saving the programmer some effort, ensure that the varied
 programs in the suite have a similar look-and-feel.
 .
 The library contains several sub components:
 .
  * CMTZ library -- Contains a variety of functions for manipulating
    the data structure, for example adding crystals, datasets or
    columns. The data structure can be dumped to an output MTZ data
    file.
 .
  * CMAP library -- Functions defining the C-level API for accessing
    CCP4 map files.
 .
  * CSYM library -- a collection of functions centered around a data
    file syminfo.lib which is auto-generated from sgtbx (the Space
    Group Toolbox of cctbx).
 .
  * CCP4 utility library -- many utility functions which either give
    specific CCP4 or platform independent functionality.
 .
  * CCP4 Parser library -- provides CCP4-style parsing, as used for
    processing keywords of CCP4 programs, MTZ header records, etc.
 .
  * CCP4 resizable arrays -- defines an object and methods which looks
    just like a simple C array, but can be resized at will without
    incurring excessive overheads.

Package: libccp4c0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libccp4-data,
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: CCP4 core functionality - C runtime
 The CCP4 software suite is based around a library of routines which
 cover common tasks, such as file opening, parsing keyworded input,
 reading and writing of standard data formats, applying symmetry
 operations, etc. Programs in the suite call these routines which, as
 well as saving the programmer some effort, ensure that the varied
 programs in the suite have a similar look-and-feel.
 .
 The library contains several sub components:
 .
  * CMTZ library -- Contains a variety of functions for manipulating
    the data structure, for example adding crystals, datasets or
    columns. The data structure can be dumped to an output MTZ data
    file.
 .
  * CMAP library -- Functions defining the C-level API for accessing
    CCP4 map files.
 .
  * CSYM library -- a collection of functions centered around a data
    file syminfo.lib which is auto-generated from sgtbx (the Space
    Group Toolbox of cctbx).
 .
  * CCP4 utility library -- many utility functions which either give
    specific CCP4 or platform independent functionality.
 .
  * CCP4 Parser library -- provides CCP4-style parsing, as used for
    processing keywords of CCP4 programs, MTZ header records, etc.
 .
  * CCP4 resizable arrays -- defines an object and methods which looks
    just like a simple C array, but can be resized at will without
    incurring excessive overheads.
 .
 This package provides the runtime of the CCP4 C library.

Package: libccp4f0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: CCP4 core functionality - fortran runtime
 The CCP4 software suite is based around a library of routines which
 cover common tasks, such as file opening, parsing keyworded input,
 reading and writing of standard data formats, applying symmetry
 operations, etc. Programs in the suite call these routines which, as
 well as saving the programmer some effort, ensure that the varied
 programs in the suite have a similar look-and-feel.
 .
 The library contains several sub components:
 .
  * CMTZ library -- Contains a variety of functions for manipulating
    the data structure, for example adding crystals, datasets or
    columns. The data structure can be dumped to an output MTZ data
    file.
 .
  * CMAP library -- Functions defining the C-level API for accessing
    CCP4 map files.
 .
  * CSYM library -- a collection of functions centered around a data
    file syminfo.lib which is auto-generated from sgtbx (the Space
    Group Toolbox of cctbx).
 .
  * CCP4 utility library -- many utility functions which either give
    specific CCP4 or platform independent functionality.
 .
  * CCP4 Parser library -- provides CCP4-style parsing, as used for
    processing keywords of CCP4 programs, MTZ header records, etc.
 .
  * CCP4 resizable arrays -- defines an object and methods which looks
    just like a simple C array, but can be resized at will without
    incurring excessive overheads.
 .
 This package provides the runtime of the CCP4 fortran library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Work-around for #957430. Upstream has confirmed that argument mismatch
# is not critical, and even desired, especially for QREAD and QWRITE.
FFLAGS += -fallow-argument-mismatch

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --enable-shared --datadir=/usr/share/ccp4

override_dh_strip:
	dh_strip -plibccp4c0 --dbgsym-migration='libccp4c0-dbg (<< 6.5.1-1~)'
	dh_strip -plibccp4f0 --dbgsym-migration='libccp4f0-dbg (<< 6.5.1-1~)'
	dh_strip -a -Nlibccp4c0 -Nlibccp4f0

=== debian/watch ===
version=3
opts="passive" ftp://ftp.ccp4.ac.uk/opensource/libccp4-(.*)\.tar\.gz|bz2

## libccp4 8.0.0

=== debian/changelog ===
libccp4 (8.0.0-5) unstable; urgency=medium

  [ Maarten L. Hekkelman ]
  * Fix compilation with gcc-15 (Closes: #1097169)

  [ Michael R. Crusoe ]
  * salsa-ci: enable

 -- Andrius Merkys <merkys@debian.org>  Mon, 08 Sep 2025 01:56:47 -0400

libccp4 (8.0.0-4) unstable; urgency=medium

  * Add a temporary work-around for #1075155.

 -- Andrius Merkys <merkys@debian.org>  Tue, 24 Sep 2024 05:25:24 -0400

libccp4 (8.0.0-3) unstable; urgency=medium

  * uploaded into unstable
  * Bug fix: "NMU diff for 64-bit time_t transition", thanks to Steve
    Langasek (Closes: #1063124).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 28 May 2024 21:19:13 +0200

libccp4 (8.0.0-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Mon, 05 Feb 2024 07:49:38 +0000

libccp4 (8.0.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Adjust patch names.

 -- Andrius Merkys <merkys@debian.org>  Wed, 09 Nov 2022 07:44:53 -0500

libccp4 (8.0.0-1) experimental; urgency=medium

  * Update debian/watch.
  * New upstream version 8.0.0 (Closes: #1019861)
  * Refresh patches.
  * Use secure URI in Homepage field.
  * Drop transition for old debug package migration.
  * Update standards version to 4.1.5, no changes needed.
  * Remove debian/TODO.

 -- Andrius Merkys <merkys@debian.org>  Mon, 07 Nov 2022 09:38:22 -0500

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
  gfortran,
  libmmdb2-dev,
  m4,
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/science-team/libccp4.git
 Vcs-Browser: https://salsa.debian.org/science-team/libccp4
-Homepage: http://www.ccp4.ac.uk/
+Homepage: https://www.ccp4.ac.uk/
 
 Package: libccp4-data
 Architecture: all
@@ -63,8 +63,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libccp4c0 (= ${binary:Version}),
- libccp4f0 (= ${binary:Version}),
+ libccp4c0t64 (= ${binary:Version}),
+ libccp4f0t64 (= ${binary:Version}),
  ${misc:Depends},
 Pre-Depends:
  ${misc:Pre-Depends},
@@ -100,7 +100,10 @@
     just like a simple C array, but can be resized at will without
     incurring excessive overheads.
 
-Package: libccp4c0
+Package: libccp4c0t64
+Provides: ${t64:Provides}
+Replaces: libccp4c0
+Breaks: libccp4c0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -144,7 +147,10 @@
  .
  This package provides the runtime of the CCP4 C library.
 
-Package: libccp4f0
+Package: libccp4f0t64
+Provides: ${t64:Provides}
+Replaces: libccp4f0
+Breaks: libccp4f0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Work-around for #1075155 for the time being.
# The upstream has been notified, -Wno-incompatible-pointer-types should be removed when a proper fix appears.
CFLAGS += -Wno-incompatible-pointer-types

# Work-around for #957430. Upstream has confirmed that argument mismatch
# is not critical, and even desired, especially for QREAD and QWRITE.
FFLAGS += -fallow-argument-mismatch

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --enable-shared --datadir=/usr/share/ccp4

override_dh_strip:
	dh_strip -plibccp4c0t64
	dh_strip -plibccp4f0t64
	dh_strip -a -Nlibccp4c0t64 -Nlibccp4f0t64

=== debian/watch ===
version=4
https://ftp.ccp4.ac.uk/opensource/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
